List documents for a project
const url = 'https://api.yggy.tech/api/v1/projects/example/documents?status=pending&archived=true&limit=20&offset=0&sortBy=title&sortDir=asc¬eKind=capture';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.yggy.tech/api/v1/projects/example/documents?status=pending&archived=true&limit=20&offset=0&sortBy=title&sortDir=asc¬eKind=capture' \ --header 'Authorization: Bearer <token>'Retrieve a list of documents scoped to the project, with optional filtering and pagination.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Query Parameters
Section titled “Query Parameters ”Filter documents by project ID. When omitted, returns all of the organization’s documents.
Filter documents by project ID. When omitted, returns all of the organization’s documents.
Filter by archive state: false (default) excludes archived, true includes all, only shows archived only
Filter by archive state: false (default) excludes archived, true includes all, only shows archived only
Case-insensitive substring search over title and source filename/path.
Case-insensitive substring search over title and source filename/path.
Browse documents in this folder (externalId). Use the literal value root for unfiled documents only. Omit to list all documents (legacy).
Browse documents in this folder (externalId). Use the literal value root for unfiled documents only. Omit to list all documents (legacy).
When set, only documents of this note kind (capture, daily, or note).
When set, only documents of this note kind (capture, daily, or note).
Header Parameters
Section titled “Header Parameters ”Responses
Section titled “ Responses ”List of documents
object
object
object
object
Example
{ "documents": [ { "sourceKind": "UPLOAD", "status": "PENDING", "extractionMethod": "UNSTRUCTURED", "mailAttachments": [ { "status": "PENDING" } ] } ]}